using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FingersDance.Data
{
    public class Cutting
    {
        private List<Annotation> _annotList;
        private string _title;

        public Cutting(string titlePar, List<Annotation> annotListPar)
        {
            this._title = titlePar;
            this._annotList = annotListPar;
            
        }

        public String Title
        {
            get { return _title; }
            set
            {
                if (value == _title || String.IsNullOrEmpty(value))
                    return;
                _title = value;
            }
        }
        public List<Annotation> AnnotList
        {
            get { return _annotList; }
            set
            {
                _annotList = value;
            }
        }

    }
}
